services:
  - type: web
    name: baserow
    env: docker
    plan: standard
    dockerfilePath: ./deploy/render/Dockerfile
    envVars:
      - key: SECRET_KEY
        generateValue: true
      - key: PORT
        value: 10000
      - key: REDIS_URL
        fromService:
          type: redis
          name: baserow-redis
          property: connectionString
      - key: DATABASE_URL
        fromDatabase:
          name: baserow-db
          property: connectionString
      - key: BASEROW_AMOUNT_OF_WORKERS
        value: 1
      - key: BASEROW_TRIGGER_SYNC_TEMPLATES_AFTER_MIGRATION
        value: false
  - type: redis
    name: baserow-redis
    ipAllowList: []
    plan: free
    maxmemoryPolicy: noeviction
databases:
  - name: baserow-db
    ipAllowList: []